Finance::Quote::IndiaMutual(3pm)

NAME
Finance::Quote::IndiaMutual - Obtain Indian mutual fund prices from amfiindia.com

SYNOPSIS
    use Finance::Quote;

    $q = Finance::Quote->new;

    # Can failover to other methods
    %stockinfo = $q->fetch("indiamutual", "amfiindia-code");

    # Use this module only
    %stockinfo = $q->fetch("amfiindia", "amfiindia-code");

    # NOTE: currently no failover methods exist for indiamutual

DESCRIPTION
This module obtains information about Indian Mutual Fund prices from the Association of Mutual Funds India website amfiindia.com. The information source "indiamutual" can be used if the source of prices is irrelevant, and "amfiindia" if you specifically want to use information downloaded from amfiindia.com.

AMFIINDIA-CODE/ISIN
In India, not all funds have an ISIN. However, they do have a scheme code. You can use those if you can't find the ISIN. See AMFI site for details. http://www.amfiindia.com/nav-history-download

LABELS RETURNED
Information available from amfiindia may include the following labels:

method
link
source
name
currency
nav

The link label will be a url location for the NAV list table for all funds.

NOTES
AMFI provides a link to download a text file containing all the NAVs <https://www.amfiindia.com/spages/NAVAll.txt>. It is processed in memory using the IO::String Perl module.

SEE ALSO
AMFI india website - http://www.amfiindia.com/

Finance::Quote